# SET\_PING\_PARAMETERS

### ID: 3023

### Payload Definition

<table><thead><tr><th width="145">Data Type</th><th width="219">Name</th><th>Description</th></tr></thead><tbody><tr><td>i32</td><td>start_mm</td><td>start range in mm at which echo data is recorded. Ignored in auto range mode. Will be forced to 5% of end range as a minimum.</td></tr><tr><td>i32</td><td>end_mm</td><td>end range in mm over which echo data is recorded. If this number is negative, then Surveyor automatically tracks the bottom and adjust range dynamically. In that case abs(end_m) is the maximum depth that the automatic bottom tracking will use. This can be helpful if you know the max expected depth.</td></tr><tr><td>float</td><td>sos_mps</td><td>speed of sound, meters per second. </td></tr><tr><td>i16</td><td>gain_index</td><td>set to -1 for auto gain (recommended). Valid manual gain ranges are from 0 to 10</td></tr><tr><td>i16</td><td>msec_per_ping</td><td>pings per second = 1000 / msec_per_ping. So 100 msec_per_ping means 10 pings per second. Actual ping rate can be limited by range and speed of sound, so the value specified defines an upper limit on ping rate. </td></tr><tr><td>u16</td><td>deprecated, formerly pulse_width_usec </td><td>use pulse_len_bins instead. Earlier code will still work but pulse length will be 1.5 range bins</td></tr><tr><td>u8</td><td>diagnostic injected signal</td><td>must be set to 0</td></tr><tr><td>bool</td><td>ping_enable</td><td>true to start/continue pinging, false to stop</td></tr><tr><td>bool</td><td>enable channel data</td><td>used by SonarView, but not necessary. if enabled log files will be much larger.</td></tr><tr><td>bool</td><td>reserved for raw data</td><td>must be set to false</td></tr><tr><td>bool</td><td>enable YZ point data</td><td>angle and time of flight data is preferred for future SonarView enhancements.</td></tr><tr><td>bool</td><td>enable atof data</td><td>enable angle + time of flight information for each detected point</td></tr><tr><td>i32</td><td>target ping hz</td><td>set to 240000. Used internally for production testing only.</td></tr><tr><td>u16</td><td>n_range_steps</td><td>sets range resolution in number of range steps. Must be between 200 and 800 (inclusive). </td></tr><tr><td>u16</td><td>reserved</td><td></td></tr><tr><td>float</td><td>pulse_len_steps</td><td>pulse length in number of range steps. Recommended value is 1.5</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ceruleansonar.com/c/surveyor-240-16/application-programming-interface/set_ping_parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
